Cloudmin Install Failure Debian 12

Ill try on Monday when I’m back in the office and report back …

Thanks
Michael

@Jamie

Ok the above error has now gone but its failing on other things now.

unable to locate locate package webmin-server-manager and webmin-virtual-server-theme.

There were some other failed to find installation candidates as well.

Thanks
Michael

Can you post the contents of your /etc/apt/sources.list file?

Hi Jamie see below

#deb cdrom:[Debian GNU/Linux 11.6.0 Bullseye - Unofficial amd64 NETINST with>

#deb cdrom:[Debian GNU/Linux 11.6.0 Bullseye - Unofficial amd64 NETINST with >

deb Index of /debian bullseye main non-free>
deb-src Index of /debian bullseye main non->

deb Index of /debian-security bullseye-security main contrib n>
deb-src Index of /debian-security bullseye-security main contr>

bullseye-updates, to get updates before a point release is made;

see Chapter 2. Debian package management>

deb Index of /debian bullseye-updates main >
deb-src Index of /debian bullseye-updates m>

This system was installed using small removable media

(e.g. netinst, live or single CD). The matching “deb cdrom”

entries were disabled at the end of the installation process.

For information about how to configure apt package sources,

see the sources.list(5) manual.

deb Index of /kvm/debian binary/

Hi Jamie

Looking at above … it looks like deb 11 is currently on the machine ( we did that after 12 install failed), Ill get 12 back on and post again

Thanks
Michael

Ok … Lets start this again

I just installed a fresh Deb 12 and got this

Unpacking qemu-system-arm (1:7.2+dfsg-7+deb12u2) …
Selecting previously unselected package qemu-system-mips.
Preparing to unpack …/278-qemu-system-mips_1%3a7.2+dfsg-7+deb12u2_amd64.deb …
Unpacking qemu-system-mips (1:7.2+dfsg-7+deb12u2) …
Selecting previously unselected package qemu-system-ppc.
Preparing to unpack …/279-qemu-system-ppc_1%3a7.2+dfsg-7+deb12u2_amd64.deb …
Unpacking qemu-system-ppc (1:7.2+dfsg-7+deb12u2) …
Selecting previously unselected package qemu-system-sparc.
Preparing to unpack …/280-qemu-system-sparc_1%3a7.2+dfsg-7+deb12u2_amd64.deb …
Unpacking qemu-system-sparc (1:7.2+dfsg-7+deb12u2) …
Selecting previously unselected package qemu-system-misc.
Preparing to unpack …/281-qemu-system-misc_1%3a7.2+dfsg-7+deb12u2_amd64.deb …
Unpacking qemu-system-misc (1:7.2+dfsg-7+deb12u2) …
Selecting previously unselected package qemu-utils.
Preparing to unpack …/282-qemu-utils_1%3a7.2+dfsg-7+deb12u2_amd64.deb …
Unpacking qemu-utils (1:7.2+dfsg-7+deb12u2) …
Selecting previously unselected package qemu-block-extra.
Preparing to unpack …/283-qemu-block-extra_1%3a7.2+dfsg-7+deb12u2_amd64.deb …
Unpacking qemu-block-extra (1:7.2+dfsg-7+deb12u2) …
Selecting previously unselected package qemu-efi-aarch64.
Preparing to unpack …/284-qemu-efi-aarch64_2022.11-6_all.deb …
Unpacking qemu-efi-aarch64 (2022.11-6) …
Selecting previously unselected package qemu-efi-arm.
Preparing to unpack …/285-qemu-efi-arm_2022.11-6_all.deb …
Unpacking qemu-efi-arm (2022.11-6) …
Selecting previously unselected package qemu-system.
Preparing to unpack …/286-qemu-system_1%3a7.2+dfsg-7+deb12u2_amd64.deb …
Unpacking qemu-system (1:7.2+dfsg-7+deb12u2) …
Selecting previously unselected package qemu-system-gui.
Preparing to unpack …/287-qemu-system-gui_1%3a7.2+dfsg-7+deb12u2_amd64.deb …
Unpacking qemu-system-gui (1:7.2+dfsg-7+deb12u2) …
Selecting previously unselected package va-driver-all:amd64.
Preparing to unpack …/288-va-driver-all_2.17.0-1_amd64.deb …
Unpacking va-driver-all:amd64 (2.17.0-1) …
Selecting previously unselected package vdpau-driver-all:amd64.
Preparing to unpack …/289-vdpau-driver-all_1.5-2_amd64.deb …
Unpacking vdpau-driver-all:amd64 (1.5-2) …
Selecting previously unselected package xdg-user-dirs.
Preparing to unpack …/290-xdg-user-dirs_0.18-1_amd64.deb …
Unpacking xdg-user-dirs (0.18-1) …
Setting up libgme0:amd64 (0.6.3-6) …
Setting up libssh-gcrypt-4:amd64 (0.10.5-2) …
Setting up libgraphite2-3:amd64 (1.3.14-1) …
Setting up libxcb-dri3-0:amd64 (1.15-1) …
Setting up liblcms2-2:amd64 (2.14-2) …
Setting up libpixman-1-0:amd64 (0.42.2-1) …
Setting up libudfread0:amd64 (1.1.2-1) …
Setting up libcdparanoia0:amd64 (3.10.2+debian-14) …
Setting up libwayland-server0:amd64 (1.21.0-1) …
Setting up libaom3:amd64 (3.6.0-1) …
Setting up libx11-xcb1:amd64 (2:1.8.4-2+deb12u2) …
Setting up libpciaccess0:amd64 (0.17-2) …
Setting up libdw1:amd64 (0.188-2.1) …
Setting up librabbitmq4:amd64 (0.11.0-1+b1) …
Setting up libraw1394-11:amd64 (2.1.2-2) …
Setting up libproxy1v5:amd64 (0.4.18-1.2) …
Setting up libtag1v5-vanilla:amd64 (1.13-2) …
Setting up libcodec2-1.0:amd64 (1.0.5-1) …
Setting up libsodium23:amd64 (1.0.18-1) …
Setting up libgpm2:amd64 (1.20.7-10+b1) …
Setting up libxdamage1:amd64 (1:1.1.6-1) …
Setting up libmpg123-0:amd64 (1.31.2-1) …
Setting up libxcb-xfixes0:amd64 (1.15-1) …
Setting up libogg0:amd64 (1.3.5-3) …
Setting up liblerc4:amd64 (4.0.0+ds-2) …
Setting up libspeex1:amd64 (1.2.1-2) …
Setting up libshine3:amd64 (3.1.1-2) …
Setting up libcaca0:amd64 (0.99.beta20-3) …
Setting up hicolor-icon-theme (0.17-2) …
Setting up libxi6:amd64 (2:1.8-1+b1) …
Setting up libx264-164:amd64 (2:0.164.3095+gitbaee400-3) …
Setting up libtwolame0:amd64 (0.4.0-2) …
Setting up libxrender1:amd64 (1:0.9.10-1.1) …
Setting up libvte-2.91-common (0.70.6-2~deb12u1) …
Setting up libdatrie1:amd64 (0.2.13-2+b1) …
Setting up xdg-user-dirs (0.18-1) …
Setting up libgsm1:amd64 (1.0.22-1) …
Setting up libvisual-0.4-0:amd64 (0.4.0-19) …
Setting up libxcb-render0:amd64 (1.15-1) …
Setting up libglib2.0-0:amd64 (2.74.6-2) …
Setting up libboost-iostreams1.74.0:amd64 (1.74.0+ds1-21) …
Setting up libglvnd0:amd64 (1.6.0-1) …
Setting up libpgm-5.3-0:amd64 (5.3.128~dfsg-2) …
Setting up libxcb-glx0:amd64 (1.15-1) …
Setting up libgdk-pixbuf2.0-common (2.42.10+dfsg-1) …
Setting up libnorm1:amd64 (1.5.9+dfsg-2) …
Setting up libmysofa1:amd64 (1.3.1~dfsg0-1) …
Setting up x11-common (1:7.7+23) …
Setting up libsensors-config (1:3.6.0-7.1) …
Setting up libdeflate0:amd64 (1.14-1) …
Setting up libexecs0:amd64 (1.3-2) …
Setting up libhwy1:amd64 (1.0.3-3+deb12u1) …
Setting up libxcb-shm0:amd64 (1.15-1) …
Setting up libigdgmm12:amd64 (22.3.3+ds1-1) …
Setting up libatspi2.0-0:amd64 (2.46.0-5) …
Setting up libsvtav1enc1:amd64 (1.4.1+dfsg-1) …
Setting up libnfs13:amd64 (4.0.0-1) …
Setting up libgomp1:amd64 (12.2.0-14) …
Setting up libcjson1:amd64 (1.7.15-1) …
Setting up libfdt1:amd64 (1.6.1-4+b1) …
Setting up libxvidcore4:amd64 (2:1.3.7-1) …
Setting up qemu-efi-aarch64 (2022.11-6) …
Setting up libusbredirparser1:amd64 (0.13.0-2) …
Setting up libunwind8:amd64 (1.6.2-3) …
Setting up libjbig0:amd64 (2.1-6.1) …
Setting up librav1e0:amd64 (0.5.1-6) …
Setting up libcolord2:amd64 (1.4.6-2.2) …
Setting up libxxf86vm1:amd64 (1:1.1.4-1+b2) …
Setting up libsnappy1v5:amd64 (1.1.9-3) …
Setting up ovmf (2022.11-6) …
Setting up libxcb-present0:amd64 (1.15-1) …
Setting up libdconf1:amd64 (0.40.0-4) …
Setting up libglusterfs0:amd64 (10.3-5) …
Setting up libasound2-data (1.2.8-1) …
Setting up libz3-4:amd64 (4.8.12-3.1) …
Setting up libblas3:amd64 (3.11.0-2) …
update-alternatives: using /usr/lib/x86_64-linux-gnu/blas/libblas.so.3 to provide /usr/lib/x86_64-linux-gnu/libblas.so.3 (libblas.so.3-x86_64-linux-gnu) in auto mode
Setting up libglib2.0-data (2.74.6-2) …
Setting up libflac12:amd64 (1.4.2+ds-2) …
Setting up libjpeg62-turbo:amd64 (1:2.1.5-2) …
Setting up libva2:amd64 (2.17.0-1) …
Setting up libmbedcrypto7:amd64 (2.28.3-1) …
Setting up libepoxy0:amd64 (1.5.10-1) …
Setting up libnspr4:amd64 (2:4.35-1) …
Setting up libxfixes3:amd64 (1:6.0.0-2) …
Setting up libxcb-sync1:amd64 (1.15-1) …
Setting up libavahi-common-data:amd64 (0.8-10) …
Setting up libncurses6:amd64 (6.4-4) …
Setting up libfribidi0:amd64 (1.0.8-2.1) …
Setting up libopus0:amd64 (1.3.1-3) …
Setting up libquadmath0:amd64 (12.2.0-14) …
Setting up shared-mime-info (2.2-1) …
Setting up libxinerama1:amd64 (2:1.1.4-3) …
Setting up intel-media-va-driver:amd64 (23.1.1+dfsg1-1) …
Setting up libxv1:amd64 (2:1.0.11-1.1) …
Setting up libvorbis0a:amd64 (1.3.7-1) …
Setting up libxrandr2:amd64 (2:1.5.2-2+b1) …
Setting up liborc-0.4-0:amd64 (1:0.4.33-2) …
Setting up fonts-dejavu-core (2.37-6) …
Setting up libpcsclite1:amd64 (1.9.9-2) …
Setting up libsensors5:amd64 (1:3.6.0-7.1) …
Setting up libaacs0:amd64 (0.11.1-2) …
Setting up libjxl0.7:amd64 (0.7.0-10) …
Setting up libfuse3-3:amd64 (3.14.0-4) …
Setting up pocketsphinx-en-us (0.8+5prealpha+1-15) …
Setting up libdaxctl1:amd64 (76.1-1) …
Setting up libdav1d6:amd64 (1.0.0-2) …
Setting up libglapi-mesa:amd64 (22.3.6-1+deb12u1) …
Setting up qemu-system-data (1:7.2+dfsg-7+deb12u2) …
Setting up libssh-4:amd64 (0.10.5-2) …
Setting up libgfortran5:amd64 (12.2.0-14) …
Setting up libvulkan1:amd64 (1.3.239.0-1) …
Setting up seabios (1.16.2-1) …
Setting up libsoup2.4-common (2.74.3-1) …
Setting up libwebp7:amd64 (1.2.4-0.2+deb12u1) …
Setting up librubberband2:amd64 (3.1.2+dfsg0-1) …
Setting up libfmt9:amd64 (9.1.0+ds1-2) …
Setting up libxcb-dri2-0:amd64 (1.15-1) …
Setting up libbdplus0:amd64 (0.2.0-3) …
Setting up libnuma1:amd64 (2.0.16-1) …
Setting up libcapstone4:amd64 (4.0.2-5) …
Setting up libvidstab1.1:amd64 (1.1.0-2+b1) …
Setting up libslirp0:amd64 (4.7.0-1) …
Setting up libsrt1.5-gnutls:amd64 (1.5.1-1) …
Setting up alsa-topology-conf (1.2.5.1-2) …
Setting up libtag1v5:amd64 (1.13-2) …
Setting up libdv4:amd64 (1.0.0-15) …
Setting up ocl-icd-libopencl1:amd64 (2.3.1-1) …
Setting up libasyncns0:amd64 (0.8-6+b3) …
Setting up libxshmfence1:amd64 (1.3-1) …
Setting up at-spi2-common (2.46.0-5) …
Setting up libvdpau1:amd64 (1.5-2) …
Setting up libwavpack1:amd64 (5.6.0-1) …
Setting up libtiff6:amd64 (4.5.0-6) …
Setting up libbs2b0:amd64 (3.1.0+dfsg-7) …
Setting up libxcb-randr0:amd64 (1.15-1) …
Setting up ipxe-qemu (1.0.0+git-20190125.36a4c85-5.1) …
Setting up libllvm15:amd64 (1:15.0.6-4+b1) …
Setting up libasound2:amd64 (1.2.8-1+b1) …
Setting up libv4lconvert0:amd64 (1.22.1-5+b2) …
Setting up libnl-3-200:amd64 (3.7.0-0.2+b1) …
Setting up libzimg2:amd64 (3.0.4+ds1-1) …
Setting up qemu-efi-arm (2022.11-6) …
Setting up libndctl6:amd64 (76.1-1) …
Setting up libopenjp2-7:amd64 (2.5.0-2) …
Setting up libharfbuzz0b:amd64 (6.0.0+dfsg-3) …
Setting up libthai-data (0.1.29-1) …
Setting up libgdk-pixbuf-2.0-0:amd64 (2.42.10+dfsg-1+b1) …
Setting up libvpx7:amd64 (1.12.0-1+deb12u2) …
Setting up libatk1.0-0:amd64 (2.46.0-5) …
Setting up libbrlapi0.8:amd64 (6.5-7+deb12u1) …
Setting up libwayland-egl1:amd64 (1.21.0-1) …
Setting up libxss1:amd64 (1:1.2.3-1) …
Setting up glib-networking-common (2.74.0-4) …
Setting up liburing2:amd64 (2.3-3) …
Setting up libmfx1:amd64 (22.5.4-1) …
Setting up libaio1:amd64 (0.3.113-4) …
Setting up libsamplerate0:amd64 (0.2.2-3) …
Setting up libpmem1:amd64 (1.12.1-2) …
Setting up libwebpmux3:amd64 (1.2.4-0.2+deb12u1) …
Setting up libdrm-common (2.4.114-1) …
Setting up libxcomposite1:amd64 (1:0.4.5-1) …
Setting up libgudev-1.0-0:amd64 (237-2) …
Setting up libzvbi-common (0.2.41-1) …
Setting up libgstreamer1.0-0:amd64 (1.22.0-2) …
Setcap worked! gst-ptp-helper is not suid!
Setting up libmp3lame0:amd64 (3.100-6) …
Setting up libvorbisenc2:amd64 (1.3.7-1) …
Setting up libgfxdr0:amd64 (10.3-5) …
Setting up libboost-thread1.74.0:amd64 (1.74.0+ds1-21) …
Setting up libaa1:amd64 (1.4p5-50) …
Setting up libiec61883-0:amd64 (1.2.0-6+b1) …
Setting up libserd-0-0:amd64 (0.30.16-1) …
Setting up libxkbcommon0:amd64 (1.5.0-1) …
Setting up libwayland-client0:amd64 (1.21.0-1) …
Setting up libavc1394-0:amd64 (0.5.4-5) …
Setting up glib-networking-services (2.74.0-4) …
Setting up libzvbi0:amd64 (0.2.41-1) …
Setting up gtk-update-icon-cache (3.24.38-2~deb12u1) …
Setting up liblapack3:amd64 (3.11.0-2) …
update-alternatives: using /usr/lib/x86_64-linux-gnu/lapack/liblapack.so.3 to provide /usr/lib/x86_64-linux-gnu/liblapack.so.3 (liblapack.so.3-x86_64-linux-gnu) in auto mode
Setting up libplacebo208:amd64 (4.208.0-3) …
Setting up libzmq5:amd64 (4.3.4-6) …
Setting up alsa-ucm-conf (1.2.8-1) …
Setting up libsoxr0:amd64 (0.1.3-4) …
Setting up fontconfig-config (2.14.1-4) …
Setting up libxtst6:amd64 (2:1.2.3-1.1) …
Setting up libxcursor1:amd64 (1:1.2.1-1) …
Setting up libavahi-common3:amd64 (0.8-10) …
Setting up libvdeplug2:amd64 (4.0.1-4) …
Setting up libgstreamer-plugins-base1.0-0:amd64 (1.22.0-3+deb12u1) …
Setting up dconf-service (0.40.0-4) …
Setting up libnss3:amd64 (2:3.87.1-1) …
Setting up libcacard0:amd64 (1:2.8.0-3) …
Setting up libnl-route-3-200:amd64 (3.7.0-0.2+b1) …
Setting up librist4:amd64 (0.2.7+dfsg-1) …
Setting up libv4l-0:amd64 (1.22.1-5+b2) …
Setting up libatk-bridge2.0-0:amd64 (2.46.0-5) …
Setting up libthai0:amd64 (0.1.29-1) …
Setting up libvorbisfile3:amd64 (1.3.7-1) …
Setting up adwaita-icon-theme (43-1) …
update-alternatives: using /usr/share/icons/Adwaita/cursor.theme to provide /usr/share/icons/default/index.theme (x-cursor-theme) in auto mode
Setting up libx265-199:amd64 (3.5-2+b1) …
Setting up libsndio7.0:amd64 (1.9.0-0.3+b2) …
Setting up libjack-jackd2-0:amd64 (1.9.21~dfsg-3) …
Setting up libdrm2:amd64 (2.4.114-1+b1) …
Setting up libflite1:amd64 (2.2-5) …
Setting up libva-drm2:amd64 (2.17.0-1) …
Setting up libgdk-pixbuf2.0-bin (2.42.10+dfsg-1+b1) …
Setting up libsord-0-0:amd64 (0.16.14+git221008-1) …
Setting up libwayland-cursor0:amd64 (1.21.0-1) …
Setting up libsratom-0-0:amd64 (0.6.14-1) …
Setting up libdecor-0-0:amd64 (0.1.1-2) …
Setting up libfontconfig1:amd64 (2.14.1-4) …
Setting up libsndfile1:amd64 (1.2.0-1) …
Setting up qemu-utils (1:7.2+dfsg-7+deb12u2) …
Setting up libbluray2:amd64 (1:1.3.4-1) …
Setting up libva-x11-2:amd64 (2.17.0-1) …
Setting up liblilv-0-0:amd64 (0.24.14-1) …
Setting up libopenmpt0:amd64 (0.6.9-1) …
Setting up libgfrpc0:amd64 (10.3-5) …
Setting up libavahi-client3:amd64 (0.8-10) …
Setting up libdrm-amdgpu1:amd64 (2.4.114-1+b1) …
Setting up mesa-vulkan-drivers:amd64 (22.3.6-1+deb12u1) …
Setting up libibverbs1:amd64 (44.0-2) …
Setting up fontconfig (2.14.1-4) …
Regenerating fonts cache… done.
Setting up libdrm-nouveau2:amd64 (2.4.114-1+b1) …
Setting up dconf-gsettings-backend:amd64 (0.40.0-4) …
Setting up libgbm1:amd64 (22.3.6-1+deb12u1) …
Setting up ibverbs-providers:amd64 (44.0-2) …
Setting up libpulse0:amd64 (16.1+dfsg1-2+b1) …
Setting up libdrm-radeon1:amd64 (2.4.114-1+b1) …
Setting up libspice-server1:amd64 (0.15.1-1) …
Setting up libpango-1.0-0:amd64 (1.50.12+ds-1) …
Setting up libdrm-intel1:amd64 (2.4.114-1+b1) …
Setting up libgl1-mesa-dri:amd64 (22.3.6-1+deb12u1) …
Setting up libcairo2:amd64 (1.16.0-7) …
Setting up libavutil57:amd64 (7:5.1.3-1) …
Setting up libass9:amd64 (1:0.17.1-1) …
Setting up libvirglrenderer1:amd64 (0.10.4-1) …
Setting up libswresample4:amd64 (7:5.1.3-1) …
Setting up libgfapi0:amd64 (10.3-5) …
Setting up libcups2:amd64 (2.4.2-3+deb12u4) …
Setting up libtheora0:amd64 (1.1.1+dfsg.1-16.1+b1) …
Setting up libcairo-gobject2:amd64 (1.16.0-7) …
Setting up libpostproc56:amd64 (7:5.1.3-1) …
Setting up mesa-va-drivers:amd64 (22.3.6-1+deb12u1) …
Setting up libpangoft2-1.0-0:amd64 (1.50.12+ds-1) …
Setting up libsdl2-2.0-0:amd64 (2.26.5+dfsg-1) …
Setting up libswscale6:amd64 (7:5.1.3-1) …
Setting up libgtk-3-common (3.24.38-2~deb12u1) …
Setting up i965-va-driver:amd64 (2.4.1+dfsg1-1) …
Setting up libpangocairo-1.0-0:amd64 (1.50.12+ds-1) …
Setting up gsettings-desktop-schemas (43.0-1) …
Setting up librdmacm1:amd64 (44.0-2) …
Setting up mesa-vdpau-drivers:amd64 (22.3.6-1+deb12u1) …
Setting up librados2 (16.2.11+ds-2) …
Setting up libglx-mesa0:amd64 (22.3.6-1+deb12u1) …
Setting up gstreamer1.0-x:amd64 (1.22.0-3+deb12u1) …
Setting up qemu-system-common (1:7.2+dfsg-7+deb12u2) …
Setting up libglx0:amd64 (1.6.0-1) …
Setting up libsphinxbase3:amd64 (0.8+5prealpha+1-16) …
Setting up libgtk-3-0:amd64 (3.24.38-2~deb12u1) …
Setting up qemu-system-mips (1:7.2+dfsg-7+deb12u2) …
Setting up qemu-system-sparc (1:7.2+dfsg-7+deb12u2) …
Setting up qemu-system-x86 (1:7.2+dfsg-7+deb12u2) …
Setting up qemu-system-ppc (1:7.2+dfsg-7+deb12u2) …
Setting up libgtk-3-bin (3.24.38-2~deb12u1) …
Setting up libvte-2.91-0:amd64 (0.70.6-2~deb12u1) …
Setting up qemu-system-misc (1:7.2+dfsg-7+deb12u2) …
Setting up librsvg2-2:amd64 (2.54.7+dfsg-1~deb12u1) …
Setting up libpocketsphinx3:amd64 (0.8+5prealpha+1-15) …
Setting up gstreamer1.0-plugins-base:amd64 (1.22.0-3+deb12u1) …
Setting up libgl1:amd64 (1.6.0-1) …
Setting up va-driver-all:amd64 (2.17.0-1) …
Setting up libshout3:amd64 (2.4.6-1+b1) …
Setting up libdecor-0-plugin-1-cairo:amd64 (0.1.1-2) …
Setting up librbd1 (16.2.11+ds-2) …
Setting up librsvg2-common:amd64 (2.54.7+dfsg-1~deb12u1) …
Setting up at-spi2-core (2.46.0-5) …
Setting up qemu-system-arm (1:7.2+dfsg-7+deb12u2) …
Setting up glib-networking:amd64 (2.74.0-4) …
Setting up libiscsi7:amd64 (1.19.0-3) …
Setting up libavcodec59:amd64 (7:5.1.3-1) …
Setting up libvdpau-va-gl1:amd64 (0.4.2-1+b1) …
Setting up qemu-block-extra (1:7.2+dfsg-7+deb12u2) …
Setting up libchromaprint1:amd64 (1.5.1-2+b1) …
Setting up libsoup2.4-1:amd64 (2.74.3-1) …
Setting up libavformat59:amd64 (7:5.1.3-1) …
Setting up qemu-system-gui (1:7.2+dfsg-7+deb12u2) …
Setting up gstreamer1.0-plugins-good:amd64 (1.22.0-5+deb12u1) …
Setting up libavfilter8:amd64 (7:5.1.3-1) …
Setting up qemu-system (1:7.2+dfsg-7+deb12u2) …
Setting up vdpau-driver-all:amd64 (1.5-2) …
Setting up gstreamer1.0-libav:amd64 (1.22.0-2) …
Processing triggers for man-db (2.11.2-2) …
Processing triggers for mailcap (3.70+nmu1) …
Processing triggers for libc-bin (2.36-9+deb12u3) …
Processing triggers for libgdk-pixbuf-2.0-0:amd64 (2.42.10+dfsg-1+b1) …
Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
The following additional packages will be installed:
libcommon-sense-perl libjson-xs-perl libtypes-serialiser-perl
The following NEW packages will be installed:
libcommon-sense-perl libjson-perl libjson-xs-perl libtypes-serialiser-perl
0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
Need to get 215 kB of archives.
After this operation, 550 kB of additional disk space will be used.
Get:1 Index of /debian bookworm/main amd64 libcommon-sense-perl amd64 3.75-3 [23.0 kB]
Get:2 Index of /debian bookworm/main amd64 libjson-perl all 4.10000-1 [87.5 kB]
Get:3 Index of /debian bookworm/main amd64 libtypes-serialiser-perl all 1.01-1 [12.2 kB]
Get:4 Index of /debian bookworm/main amd64 libjson-xs-perl amd64 4.030-2+b1 [92.1 kB]
Fetched 215 kB in 0s (991 kB/s)
Selecting previously unselected package libcommon-sense-perl:amd64.
(Reading database … 40970 files and directories currently installed.)
Preparing to unpack …/libcommon-sense-perl_3.75-3_amd64.deb …
Unpacking libcommon-sense-perl:amd64 (3.75-3) …
Selecting previously unselected package libjson-perl.
Preparing to unpack …/libjson-perl_4.10000-1_all.deb …
Unpacking libjson-perl (4.10000-1) …
Selecting previously unselected package libtypes-serialiser-perl.
Preparing to unpack …/libtypes-serialiser-perl_1.01-1_all.deb …
Unpacking libtypes-serialiser-perl (1.01-1) …
Selecting previously unselected package libjson-xs-perl.
Preparing to unpack …/libjson-xs-perl_4.030-2+b1_amd64.deb …
Unpacking libjson-xs-perl (4.030-2+b1) …
Setting up libcommon-sense-perl:amd64 (3.75-3) …
Setting up libtypes-serialiser-perl (1.01-1) …
Setting up libjson-perl (4.10000-1) …
Setting up libjson-xs-perl (4.030-2+b1) …
Processing triggers for man-db (2.11.2-2) …
Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
The following NEW packages will be installed:
bind9utils
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 259 kB of archives.
After this operation, 270 kB of additional disk space will be used.
Get:1 Index of /debian bookworm/main amd64 bind9utils all 1:9.18.19-1~deb12u1 [259 kB]
Fetched 259 kB in 0s (2,035 kB/s)
Selecting previously unselected package bind9utils.
(Reading database … 41028 files and directories currently installed.)
Preparing to unpack …/bind9utils_1%3a9.18.19-1~deb12u1_all.deb …
Unpacking bind9utils (1:9.18.19-1~deb12u1) …
Setting up bind9utils (1:9.18.19-1~deb12u1) …
Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
Package dhcp3-server is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package ‘dhcp3-server’ has no installation candidate
Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
E: Unable to locate package libdigest-sha1-perl
Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
The following additional packages will be installed:
iptables libip6tc2 libnetfilter-conntrack3 libnfnetlink0
Suggested packages:
firewalld
The following NEW packages will be installed:
ebtables iptables libip6tc2 libnetfilter-conntrack3 libnfnetlink0
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
Need to get 522 kB of archives.
After this operation, 2,998 kB of additional disk space will be used.
Get:1 Index of /debian bookworm/main amd64 ebtables amd64 2.0.11-5 [86.5 kB]
Get:2 Index of /debian bookworm/main amd64 libip6tc2 amd64 1.8.9-2 [19.4 kB]
Get:3 Index of /debian bookworm/main amd64 libnfnetlink0 amd64 1.0.2-2 [15.1 kB]
Get:4 Index of /debian bookworm/main amd64 libnetfilter-conntrack3 amd64 1.0.9-3 [40.7 kB]
Get:5 Index of /debian bookworm/main amd64 iptables amd64 1.8.9-2 [360 kB]
Fetched 522 kB in 0s (2,694 kB/s)
Selecting previously unselected package ebtables.
(Reading database … 41032 files and directories currently installed.)
Preparing to unpack …/ebtables_2.0.11-5_amd64.deb …
Unpacking ebtables (2.0.11-5) …
Selecting previously unselected package libip6tc2:amd64.
Preparing to unpack …/libip6tc2_1.8.9-2_amd64.deb …
Unpacking libip6tc2:amd64 (1.8.9-2) …
Selecting previously unselected package libnfnetlink0:amd64.
Preparing to unpack …/libnfnetlink0_1.0.2-2_amd64.deb …
Unpacking libnfnetlink0:amd64 (1.0.2-2) …
Selecting previously unselected package libnetfilter-conntrack3:amd64.
Preparing to unpack …/libnetfilter-conntrack3_1.0.9-3_amd64.deb …
Unpacking libnetfilter-conntrack3:amd64 (1.0.9-3) …
Selecting previously unselected package iptables.
Preparing to unpack …/iptables_1.8.9-2_amd64.deb …
Unpacking iptables (1.8.9-2) …
Setting up libip6tc2:amd64 (1.8.9-2) …
Setting up ebtables (2.0.11-5) …
update-alternatives: using /usr/sbin/ebtables-legacy to provide /usr/sbin/ebtables (ebtables) in auto mode
Setting up libnfnetlink0:amd64 (1.0.2-2) …
Setting up libnetfilter-conntrack3:amd64 (1.0.9-3) …
Setting up iptables (1.8.9-2) …
update-alternatives: using /usr/sbin/iptables-legacy to provide /usr/sbin/iptables (iptables) in auto mode
update-alternatives: using /usr/sbin/ip6tables-legacy to provide /usr/sbin/ip6tables (ip6tables) in auto mode
update-alternatives: using /usr/sbin/iptables-nft to provide /usr/sbin/iptables (iptables) in auto mode
update-alternatives: using /usr/sbin/ip6tables-nft to provide /usr/sbin/ip6tables (ip6tables) in auto mode
update-alternatives: using /usr/sbin/arptables-nft to provide /usr/sbin/arptables (arptables) in auto mode
update-alternatives: using /usr/sbin/ebtables-nft to provide /usr/sbin/ebtables (ebtables) in auto mode
Processing triggers for man-db (2.11.2-2) …
Processing triggers for libc-bin (2.36-9+deb12u3) …
… done

Installing and activating cgroups …
Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
Package cgroup-bin is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
However the following packages replace it:
cgroup-tools

E: Package ‘cgroup-bin’ has no installation candidate
… install failed - CPU limits will not be available

Activating KVM kernel module …
… done

Creating /dev/loop devices …
… done

Installing Cloudmin packages using APT …
Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
E: Unable to locate package webmin
Reading package lists… Done
Building dependency tree… Done
Reading state information… Done
E: Unable to locate package webmin-server-manager
E: Unable to locate package webmin-virtual-server-theme
… install failed
root@cloud:~#

The contents of the sources.list is below

#deb cdrom:[Debian GNU/Linux 12.2.0 Bookworm - Official amd64 NETINST with firmware 20231007-10:28]/ bookworm main non-free-firmware

deb Index of /debian bookworm main non-free-firmware
deb-src Index of /debian bookworm main non-free-firmware

deb Index of /debian-security bookworm-security main non-free-firmware
deb-src Index of /debian-security bookworm-security main non-free-firmware

bookworm-updates, to get updates before a point release is made;

see Chapter 2. Debian package management

deb Index of /debian bookworm-updates main non-free-firmware
deb-src Index of /debian bookworm-updates main non-free-firmware

This system was installed using small removable media

(e.g. netinst, live or single CD). The matching “deb cdrom”

entries were disabled at the end of the installation process.

For information about how to configure apt package sources,

see the sources.list(5) manual.

deb Index of /kvm/debian binary/

Thanks
Michael

If I go back as far as I can I get the following errors

E: Package ‘kvm’ has no installation candidate
E: Package ‘qemu’ has no installation candidate
E: Package ‘dhcp3-server’ has no installation candidate
E: Unable to locate package libdigest-sha1-perl
E: Package ‘cgroup-bin’ has no installation candidate
E: Unable to locate package webmin
E: Unable to locate package webmin-server-manager
E: Unable to locate package webmin-virtual-server-theme

Hope this helps

What output do you get if you run apt-get update after the failed install?

Hi Jamie

Linux cloud 6.1.0-13-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.55-1 (2023-09-29) x86_64

The programs included with the Debian GNU/Linux system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
Last login: Wed Nov 1 15:56:44 2023 from 192.168.2.103
root@cloud:~# apt-get update
Get:1 Index of /debian-security bookworm-security InRelease [48.0 kB]
Hit:2 Index of /debian bookworm InRelease
Get:3 Index of /debian bookworm-updates InRelease [52.1 kB]
Get:4 Index of /debian-security bookworm-security/main Sources [57.9 kB]
Get:5 Index of /debian-security bookworm-security/main amd64 Packages [96.0 kB]
Get:6 Index of /debian-security bookworm-security/main Translation-en [54.7 kB]
Ign:7 Index of /kvm/debian binary/ InRelease
Get:8 Index of /kvm/debian binary/ Release [1,382 B]
Get:9 Index of /kvm/debian binary/ Release.gpg [181 B]
Ign:9 Index of /kvm/debian binary/ Release.gpg
Reading package lists… Done
W: GPG error: Index of /kvm/debian binary/ Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY D97A3AE911F63C51
E: The repository ‘Index of /kvm/debian binary/ Release’ is not signed.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
root@cloud:~#

@Jamie

Any update on this ?

Thanks

What does apt-key list output on your system?

Im not back in the office for a week, Ill let you know then

Thanks

@Jamie

root@cloud:~# apt-key list
E: gnupg, gnupg2 and gnupg1 do not seem to be installed, but one of them is required for this operation
root@cloud:~#

Ah … try first running apt-get install gpg

This is the output I get I removed the pub keys as I don’t know that they were important anyways for sanitary reasons never know what crazy dude has a 400qbit rig in his basement :stuck_out_tongue:

apt-key list
Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
/etc/apt/trusted.gpg

pub dsa1024 2005-07-11 [SC]
HIDDEN KEY
uid [ unknown] Virtualmin, Inc. security@virtualmin.com
sub elg2048 2005-07-11 [E]

pub dsa1024 2002-02-28 [SCA]
HIDDEN KEY
uid [ unknown] Jamie Cameron jcameron@webmin.com
sub elg1024 2002-02-28 [E]

/etc/apt/trusted.gpg.d/debian-archive-bookworm-automatic.asc

pub rsa4096 2023-01-21 [SC] [expires: 2031-01-19]
HIDDEN KEY
uid [ unknown] Debian Archive Automatic Signing Key (12/bookworm) ftpmaster@debian.org
sub rsa4096 2023-01-21 [S] [expires: 2031-01-19]

/etc/apt/trusted.gpg.d/debian-archive-bookworm-security-automatic.asc

pub rsa4096 2023-01-21 [SC] [expires: 2031-01-19]
HIDDEN KEY
uid [ unknown] Debian Security Archive Automatic Signing Key (12/bookworm) ftpmaster@debian.org
sub rsa4096 2023-01-21 [S] [expires: 2031-01-19]

/etc/apt/trusted.gpg.d/debian-archive-bookworm-stable.asc

pub ed25519 2023-01-23 [SC] [expires: 2031-01-21]
HIDDEN KEY
uid [ unknown] Debian Stable Release Key (12/bookworm) debian-release@lists.debian.org

/etc/apt/trusted.gpg.d/debian-archive-bullseye-automatic.asc

pub rsa4096 2021-01-17 [SC] [expires: 2029-01-15]
HIDDEN KEY
uid [ unknown] Debian Archive Automatic Signing Key (11/bullseye) ftpmaster@debian.org
sub rsa4096 2021-01-17 [S] [expires: 2029-01-15]

/etc/apt/trusted.gpg.d/debian-archive-bullseye-security-automatic.asc

pub rsa4096 2021-01-17 [SC] [expires: 2029-01-15]
Hidden Key
uid [ unknown] Debian Security Archive Automatic Signing Key (11/bullseye) ftpmaster@debian.org
sub rsa4096 2021-01-17 [S] [expires: 2029-01-15]

/etc/apt/trusted.gpg.d/debian-archive-bullseye-stable.asc

pub rsa4096 2021-02-13 [SC] [expires: 2029-02-11]
HIDDEN KEY
uid [ unknown] Debian Stable Release Key (11/bullseye) debian-release@lists.debian.org

/etc/apt/trusted.gpg.d/debian-archive-buster-automatic.asc

pub rsa4096 2019-04-14 [SC] [expires: 2027-04-12]
HIDDEN KEY
uid [ unknown] Debian Archive Automatic Signing Key (10/buster) ftpmaster@debian.org
sub rsa4096 2019-04-14 [S] [expires: 2027-04-12]

/etc/apt/trusted.gpg.d/debian-archive-buster-security-automatic.asc

pub rsa4096 2019-04-14 [SC] [expires: 2027-04-12]
HIDDEN KEY
uid [ unknown] Debian Security Archive Automatic Signing Key (10/buster) ftpmaster@debian.org
sub rsa4096 2019-04-14 [S] [expires: 2027-04-12]

/etc/apt/trusted.gpg.d/debian-archive-buster-stable.asc

pub rsa4096 2019-02-05 [SC] [expires: 2027-02-03]
HIDDEN KEY
uid [ unknown] Debian Stable Release Key (10/buster) debian-release@lists.debian.org

But maybe it will provide some insight I’m unsure of what is the norm here as far as depreciation and gpg.d but if its not normal you have something to run with and investigate.

hrmmm that is strange.

Hi Jamie

Ill try this tomorrow, bigger issue is I would like this fixed in the installer script as I can not be the only person having this issue.

Thanks
Michael

Updated the script in the other post to reflect this fix and a couple of other tidbits of nfo that should help things go a little smoother for the crew to do the script update “Hopefully” Just trying to throw a shoe in and help without trying to step on peoples toes.

Contains a lot of discovery and info on Debian12 and the script as well as package issues and updates. Be it the right way or wrong way to go about it it should save them a bit of digging. That is my hopes.

Most of the functionality (except sha1_transform) of Digest::SHA1 is also provided by Digest::SHA. Switching from Digest::SHA1 to Digest::SHA should be in principle as easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in Debian’s perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external dependencies by one.

Packages using Digest::SHA instead of Digest::SHA1 can then drop the (Build-)Depends(-Indep) on libdigest-sha1-perl.

I posted all of the fixes to the script with my nickname by the fixes in an echo and gave info why.

Look at the script update proposal for Debian 12 thread contains a boat load of info.

There may be some things I’m missing or even a better way to handle things but never the less it is what I will resort to using personally to resolve a lot of the issues at the moment.

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.